org.jbpm.workflow.instance.node

## Class JoinInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.node.JoinInstance

- All Implemented Interfaces:
    Serializable, org.kie.api.runtime.process.NodeInstance

      public class JoinInstance
      extends NodeInstanceImpl

  Runtime counterpart of a join node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters, logger, slaCompliance, slaDueDate, slaTimerId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Join` | `getJoin()`
    `Map<Long,Integer>` | `getTriggers()`
    `void` | `internalSetTriggers(Map<Long,Integer> triggers)`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `triggerCompleted()`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, configureSla, executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JoinInstance

          public JoinInstance()

  - ### Method Detail

    - #### getJoin

          protected Join getJoin()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Specified by:
        `internalTrigger` in class `NodeInstanceImpl`

    - #### triggerCompleted

          public void triggerCompleted()

    - #### getTriggers

          public Map<Long,Integer> getTriggers()

    - #### internalSetTriggers

          public void internalSetTriggers(Map<Long,Integer> triggers)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.